Subject: bug#64201: closed (Re: [bug#64201] [PATCH v2 00/22]: gnu: Astronmy June updates.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Aug 2023 08:10:02 +0000

Your bug report

#64201: [PATCH 00/19] gnu: monthly astronomy packages update 

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64201: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64201
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#64201] [PATCH v2 00/22]: gnu: Astronmy June updates.
From: Andreas Enge <[email-masked]>
To: Sharlatan Hellseher <[email-masked]>
Cc: Efraim Flashner <[email-masked]>, [email-masked], Eric Bavier <[email-masked]>
Date: Tue, 8 Aug 2023 10:09:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Oleg,

Am Mon, Aug 07, 2023 at 09:11:01PM +0100 schrieb Sharlatan Hellseher:
> Would it be more reasonable to prepare other series and mark this one as
> completed?

thanks for the offer! But your patches are fine; I just tested them one
by one, while some updates needed to go together. If QA had enough computing
power, it would have created a green button and made it all a bit simpler.
We will get there eventually.

Thanks for all these contributions, which I have just pushed, so I am
closing the issue.

You may go ahead with the next series :)

Andreas

Subject: [PATCH 00/19] gnu: monthly astronomy packages update
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Cc: Sharlatan Hellseher <[email-masked]>
Date: Wed, 21 Jun 2023 07:28:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

I'm about to keep the pace with updating (gnu package astronomy) monthly where
there is an easy win with just updating version and hash.

Some other packages which can be updated need more time and I don't want them
to block the flow, I'll prepare them while this issue is in review.

Here is the first portion where update took less efforts.
o block the flow, I'll prepare them while this issue is in review.

> ./pre-inst-env guix build $(./pre-inst-env guix refresh --list-dependent sextractor python-photutils calceph calcmysky libxisf splash python-astropy python-ccdproc python-cdflib python-drms python-fitsio python-pyerfa python-reproject python-stcal python-stdatamodels python-sunpy python-synphot python-astroalign | awk -F: '{print $2}')
> /gnu/store/z9s8nr3vm6yyp43kggkb39q1gmvrkwcr-python-jwst-1.10.2
> /gnu/store/3hgr6kk5qavqh550q359ldv2djgv9gak-python-sunpy-5.0.0
> /gnu/store/zijm4ac5xnqirymnbx64jfy12jjhi69f-python-astroalign-2.4.2
> /gnu/store/cjv9pj2q5321fkgfsbygzs59n6rj06ph-python-poliastro-0.17.0
> /gnu/store/195cm9x8biczq485kml0nkrl4ly62rqr-python-regions-0.7

Sharlatan Hellseher (20):
  gnu: sextractor: Update to 2.28.0, fix build.
  gnu: python-photutils: Update to 1.8.0.
  gnu: calceph: Update to 3.5.2.
  gnu: calcmysky: Update to 0.3.1.
  gnu: libxisf: Update to 0.2.8.
  gnu: splash: Update to 3.8.2.
  gnu: python-astropy: Update to 5.3.
  gnu: python-ccdproc: Update to 2.4.1.
  gnu: python-cdflib: Update to 1.0.5.
  gnu: python-drms: Update to 0.6.4.
  gnu: python-fitsio: Update to 1.1.9.
  gnu: python-fitsio: Enable tests.
  gnu: python-pyerfa: Update to 2.0.0.3.
  gnu: python-pyerfa: Fix tests.
  gnu: python-reproject: Update to 0.11.0.
  gnu: python-stcal: Update to 1.3.8.
  gnu: python-stdatamodels: Update to 1.6.0.
  gnu: python-sunpy: Update to 5.0.0.
  gnu: python-synphot: Update to 1.2.1.
  gnu: python-astroalign: Fix build.

 gnu/packages/astronomy.scm | 227 +++++++++++++++++++++++--------------
 1 file changed, 139 insertions(+), 88 deletions(-)

base-commit: e4087930f3ad60918689be5f4bca4ce3e22429f5
-- 
2.40.1